# Uses of Interface
org.eclipse.e4.ui.model.application.ui.basic.MPart

Packages that use MPart
Package
Description
org.eclipse.e4.ui.model.application.ui.basic
Application programming interfaces describing the basic Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.basic.impl
org.eclipse.e4.ui.model.application.ui.basic.util
org.eclipse.e4.ui.workbench.modeling
Application programming interfaces describing the Eclipse 4 model services.
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.ui.internal

## Uses of MPart in org.eclipse.e4.ui.model.application.ui.basic

Subinterfaces of MPart in org.eclipse.e4.ui.model.application.ui.basic
Modifier and Type
Interface
Description
`interface`
`MCompositePart`
A representation of the model object 'Composite Part'.
Methods in org.eclipse.e4.ui.model.application.ui.basic that return MPart
Modifier and Type
Method
Description
`MPart`
MBasicFactory.`createPart()`
Returns a new object of class 'Part'.

## Uses of MPart in org.eclipse.e4.ui.model.application.ui.basic.impl

Classes in org.eclipse.e4.ui.model.application.ui.basic.impl that implement MPart
Modifier and Type
Class
Description
`class`
`CompositePartImpl`
An implementation of the model object 'Composite Part'.
`class`
`PartImpl`
An implementation of the model object 'Part'.
Methods in org.eclipse.e4.ui.model.application.ui.basic.impl that return MPart
Modifier and Type
Method
Description
`MPart`
BasicFactoryImpl.`createPart()`

## Uses of MPart in org.eclipse.e4.ui.model.application.ui.basic.util

Methods in org.eclipse.e4.ui.model.application.ui.basic.util with parameters of type MPart
Modifier and Type
Method
Description
`T1`
BasicSwitch.`casePart(MPart object)`
Returns the result of interpreting the object as an instance of 'Part'.

## Uses of MPart in org.eclipse.e4.ui.workbench.modeling

Methods in org.eclipse.e4.ui.workbench.modeling that return MPart
Modifier and Type
Method
Description
`MPart`
EModelService.`createPart(MPartDescriptor descriptor)`
Creates a new part from the given descriptor.
`MPart`
EPartService.`createPart(String partDescriptorId)`
Creates a new part of the given id.
`MPart`
EPartService.`findPart(String id)`
Finds and returns a part with the given id.
`MPart`
EPartService.`getActivePart()`
Returns the active part.
`MPart`
EPartService.`showPart(String id, EPartService.PartState partState)`
Shows a part with the identified by the given id.
`MPart`
EPartService.`showPart(MPart part, EPartService.PartState partState)`
Shows the given part.
Methods in org.eclipse.e4.ui.workbench.modeling that return types with arguments of type MPart
Modifier and Type
Method
Description
`Collection<MPart>`
EPartService.`getDirtyParts()`
Returns a collection of all the dirty parts that are being managed by this service.
`Collection<MPart>`
EPartService.`getParts()`
Returns a collection of all the parts that are being managed by this part service.
Methods in org.eclipse.e4.ui.workbench.modeling with parameters of type MPart
Modifier and Type
Method
Description
`void`
EPartService.`activate(MPart part)`
Activates the given part.
`void`
EPartService.`activate(MPart part, boolean requiresFocus)`
Activates the given part.
`void`
EPartService.`bringToTop(MPart part)`
Brings this part to the top so that it will become visible to the end user.
`void`
EPartService.`hidePart(MPart part)`
Hides the given part.
`void`
EPartService.`hidePart(MPart part, boolean force)`
Hides the given part.
`boolean`
EPartService.`isPartVisible(MPart part)`
Returns whether the specified part is currently visible to the end user.
`void`
IPartListener.`partActivated(MPart part)`
`void`
IPartListener.`partBroughtToTop(MPart part)`
`void`
IPartListener.`partDeactivated(MPart part)`
`void`
IPartListener.`partHidden(MPart part)`
`void`
IPartListener.`partVisible(MPart part)`
`ISaveHandler.Save`
ISaveHandler.`promptToSave(MPart dirtyPart)`
`boolean`
ISaveHandler.`save(MPart dirtyPart, boolean confirm)`
`boolean`
EPartService.`savePart(MPart part, boolean confirm)`
Saves the contents of the part if it is dirty and returns whether the operation completed.
`void`
ISelectionListener.`selectionChanged(MPart part, Object selection)`
`MPart`
EPartService.`showPart(MPart part, EPartService.PartState partState)`
Shows the given part.
Method parameters in org.eclipse.e4.ui.workbench.modeling with type arguments of type MPart
Modifier and Type
Method
Description
`ISaveHandler.Save[]`
ISaveHandler.`promptToSave(Collection<MPart> dirtyParts)`
`boolean`
ISaveHandler.`saveParts(Collection<MPart> dirtyParts, boolean confirm)`

## Uses of MPart in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type MPart
Modifier and Type
Method
Description
`CTabItem`
StackRenderer.`findItemForPart(MPart part)`
`static MMenu`
StackRenderer.`getViewMenu(MPart part)`
`protected boolean`
StackRenderer.`isClosable(MPart part)`
`protected boolean`
StackRenderer.`isDetachable(MPart part)`
`protected void`
StackRenderer.`populateTabMenu(Menu menu, MPart part)`
Populate the tab's context menu for the given part.
`protected boolean`
ContributedPartRenderer.`requiresFocus(MPart element)`
`protected boolean`
StackRenderer.`requiresFocus(MPart element)`
`protected boolean`
SWTPartRenderer.`requiresFocus(MPart element)`
`static void`
ContributedPartRenderer.`setDescription(MPart part, String description)`
`protected void`
StackRenderer.`updateTab(CTabItem cti, MPart part, String attName, Object newValue)`

## Uses of MPart in org.eclipse.ui.internal

Fields in org.eclipse.ui.internal declared as MPart
Modifier and Type
Field
Description
`protected MPart`
PartSite.`model`
Methods in org.eclipse.ui.internal that return MPart
Modifier and Type
Method
Description
`MPart`
WorkbenchPage.`findPart(IWorkbenchPart part)`
`MPart`
PartSite.`getModel()`
`MPart`
WorkbenchPartReference.`getModel()`
Methods in org.eclipse.ui.internal with parameters of type MPart
Modifier and Type
Method
Description
`protected void`
CycleViewHandler.`addExistingReference(List<IWorkbenchPartReference> refs, MPart part)`
Adds the `IWorkbenchPartReference` contained in part's transient data, if exists.
`void`
IMenuServiceWorkaround.`clearContributions(PartSite site, MPart part)`
Disposes contributions created by service for given part.
`EditorReference`
WorkbenchPage.`createEditorReferenceForPart(MPart part, IEditorInput input, String editorId, IMemento memento)`
`void`
WorkbenchPage.`createViewReferenceForPart(MPart part, String viewId)`
`void`
WorkbenchPage.`firePartDeactivatedIfActive(MPart part)`
Fires `IPartListener2.partDeactivated(IWorkbenchPartReference)` if the passed part is the currently active part according to the part service.
`void`
WorkbenchPage.`firePartHidden(MPart part)`
`static E4PartWrapper`
E4PartWrapper.`getE4PartWrapper(MPart part)`
`EditorReference`
WorkbenchPage.`getEditorReference(MPart part)`
`ViewReference`
WorkbenchPage.`getViewReference(MPart part)`
`protected boolean`
WorkbookEditorsHandler.`isActiveEditor(MPart model)`
True if the given model represents the active editor
`protected boolean`
WorkbookEditorsHandler.`isHiddenEditor(MPart model)`
True is the given model represents an hidden editor
`void`
WorkbenchPage.`updateShowInSources(MPart part)`
Constructors in org.eclipse.ui.internal with parameters of type MPart
Modifier
Constructor
Description
``
`EditorReference(IEclipseContext windowContext, IWorkbenchPage page, MPart part, IEditorInput input, org.eclipse.ui.internal.registry.EditorDescriptor descriptor, IMemento editorState)`
``
`EditorSite(MPart model, IWorkbenchPart part, IWorkbenchPartReference ref, IConfigurationElement element)`
Constructs an EditorSite for an editor.
``
`PartSite(MPart model, IWorkbenchPart part, IWorkbenchPartReference ref, IConfigurationElement element)`
Build the part site.
``
`ViewReference(IEclipseContext windowContext, IWorkbenchPage page, MPart part, org.eclipse.ui.internal.registry.ViewDescriptor descriptor)`
``
`ViewSite(MPart model, IWorkbenchPart part, IWorkbenchPartReference ref, IConfigurationElement element)`
``
`WorkbenchPartReference(IEclipseContext windowContext, IWorkbenchPage page, MPart part)`